package in.nosd.graylog;

import org.graylog2.plugin.PluginMetaData;
import org.graylog2.plugin.ServerStatus;
import org.graylog2.plugin.Version;

import java.net.URI;
import java.util.Collections;
import java.util.Set;

/**
 * Implement the PluginMetaData interface here.
 */
public class GetListValueByRegexMetaData implements PluginMetaData {
    private static final String PLUGIN_PROPERTIES = "in.nosd.graylog.graylog-plugin-getlistvaluebyregex/graylog-plugin.properties";

    @Override
    public String getUniqueId() {
        return "in.nosd.graylog.GetListValueByRegexPlugin";
    }

    @Override
    public String getName() {
        return "GetListValueByRegex";
    }

    @Override
    public String getAuthor() {
        return "johan <johan@nosd.in>";
    }

    @Override
    public URI getURL() {
        return URI.create("https://github.com/git.nosd.in/yo/graylog-plugin-getlistvaluebyregex.git");
    }

    @Override
    public Version getVersion() {
        return Version.fromPluginProperties(getClass(), PLUGIN_PROPERTIES, "version", Version.from(0, 0, 0, "unknown"));
    }

    @Override
    public String getDescription() {
        // TODO Insert correct plugin description
        return "Description of GetListValueByRegex plugin";
    }

    @Override
    public Version getRequiredVersion() {
        return Version.fromPluginProperties(getClass(), PLUGIN_PROPERTIES, "graylog.version", Version.from(0, 0, 0, "unknown"));
    }

    @Override
    public Set<ServerStatus.Capability> getRequiredCapabilities() {
        return Collections.emptySet();
    }
}
